// -*- tab-width:4 -*-
#pragma once
#if !defined(TGRWINDOWPLACEMENTDLG_HPP_)
#define TGRWINDOWPLACEMENTDLG_HPP_

/**
   CTGRWindowPlacementDlgクラスの宣言。
 **/

namespace tgrapp {

class CTGRWindowPlacementDlg;

/** 唯一のダイアログパネルへのポインタを返す */
CTGRWindowPlacementDlg* GetCTGRWPDlg();

/**
   お手軽ウィンドウ配置のコントロール画面クラス
**/
class CTGRWindowPlacementDlg {

    class WPDImpl;

    WPDImpl* _pimpl;

    CTGRWindowPlacementDlg();

public:
    ~CTGRWindowPlacementDlg();

    void ShowDialog(bool show=true);
    void ToggleDialog();
    
private:
    void Delete();

    friend CTGRWindowPlacementDlg* GetCTGRWPDlg();
};

} /* namespace tgrapp */

#endif /*TGRWINDOWPLACEMENTDLG_HPP_*/
